Bug 2059997 - perl-IO-Socket-SSL:2.068 fails to build in Fedora ≥ 36 because of openssl-3
Summary: perl-IO-Socket-SSL:2.068 fails to build in Fedora ≥ 36 because of openssl-3
Keywords:
Status: ON_QA
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: perl-IO-Socket-SSL
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-02 13:50 UTC by Petr Pisar
Modified: 2022-03-25 22:08 UTC (History)
2 users (show)

Fixed In Version: perl-IO-Socket-SSL-2.074-3620220302151456.3 perl-libwww-perl-6.48-3620220303163539.81d42e4a
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2022-03-02 13:50:07 UTC
perl-IO-Socket-SSL:2.068 fails to build in Fedora ≥ 36 because of openssl-3. Example <https://kojipkgs.fedoraproject.org//work/tasks/6960/83546960/build.log>

I can see two options:

(1) Add a new stream perl-IO-Socket-SSL:2.074 to all Fedoras and remove perl-IO-Socket-SSL:2.068 from F ≥ 36. I hope it's possible because F36 has not yet been released.

(2) Rebase perl-Net-SSLeay and perl-IO-Socket-SSL packages from f34 branches to f36 branches and hope their API is compatible. I reviewed IO-Socket-SSL 2.070..2.074 changes and they seems compatible. I looked at 
Net-SSLeay-1.90..1.92 and there are too many changes. Changelog does not mention any incompatibilities. Those are F37 packages which run-require Net::SSLeay:

amavis-0:2.12.2-4.fc36.src
edg-mkgridmap-0:4.0.4-13.fc36.src
fusioninventory-agent-0:2.6-5.fc36.src
munin-0:2.0.67-5.fc36.src
ocsinventory-agent-0:2.9.1-1.fc36.src
perl-Alien-Base-ModuleBuild-0:1.15-7.fc36.src
perl-AnyEvent-0:7.17-10.fc36.src
perl-AnyEvent-XMPP-0:0.55-23.fc36.src
perl-CPAN-0:2.29-3.fc37.src
perl-DBD-MariaDB-0:1.21-16.fc37.src
perl-IO-Socket-SSL-0:2.074-2.fc36.src
perl-MetaCPAN-Client-0:2.029000-5.fc36.src
perl-MongoDB-0:2.2.2-5.fc36.src
perl-Net-IMAP-Simple-0:1.2212-11.fc36.src
perl-Net-SSLeay-0:1.92-2.fc36.src
perl-Net-Server-Coro-0:1.3-22.fc36.src
perl-POE-Component-SSLify-0:1.012-26.fc36.src
swaks-0:20190914.0-6.fc36.src

and those witch run-require IO::Socket::SSL:

Perlbal-0:1.80-47.fc36.src
amanda-0:3.5.1-33.fc36.src
amavis-0:2.12.2-4.fc36.src
dayplanner-0:0.11-18.fc36.src
ddclient-0:3.9.1-7.fc36.src
edg-mkgridmap-0:4.0.4-13.fc36.src
fusioninventory-agent-0:2.6-5.fc36.src
git-0:2.35.1-1.fc36.src
imapsync-0:2.140-2.fc36.src
mimedefang-0:2.86-1.fc37.src
monitorix-0:3.14.0-2.fc36.src
ocsinventory-agent-0:2.9.1-1.fc36.src
openqa-0:4.6^20220201git9267281-1.fc36.src
perl-Alien-Base-ModuleBuild-0:1.15-7.fc36.src
perl-CPAN-0:2.29-3.fc37.src
perl-Gearman-0:2.004.015-14.fc36.src
perl-HTTP-Daemon-SSL-0:1.04-37.fc36.src
perl-HTTP-Tiny-0:0.080-2.fc36.src
perl-LDAP-1:0.68-6.fc36.src
perl-LWP-Protocol-connect-0:6.09-22.fc36.src
perl-LWP-Protocol-https-0:6.10-5.fc36.src
perl-Mail-Box-IMAP4-0:3.007-9.fc36.src
perl-Mail-Box-POP3-0:3.005-10.fc36.src
perl-MetaCPAN-API-0:0.51-15.fc36.src
perl-MetaCPAN-Client-0:2.029000-5.fc36.src
perl-Mojolicious-Plugin-OAuth2-0:1.59-3.fc36.src
perl-MongoDB-0:2.2.2-5.fc36.src
perl-Net-FTPSSL-0:0.42-9.fc36.src
perl-Net-HTTP-0:6.22-1.fc36.src
perl-Net-IMAP-Client-0:0.9505-11.fc36.src
perl-Net-IMAP-Simple-0:1.2212-11.fc36.src
perl-Net-IMAP-Simple-SSL-0:1.3-34.fc36.src
perl-Net-IRC-0:0.79-31.fc36.src
perl-Net-MQTT-Simple-0:1.26-3.fc36.src
perl-Net-POP3S-0:0.12-5.fc36.src
perl-Net-SMTP-SSL-0:1.04-17.fc36.src
perl-Net-SMTPS-0:0.10-7.fc36.src
perl-Net-SSLGlue-0:1.058-17.fc36.src
perl-Redis-0:1.999-2.fc36.src
perl-Search-Elasticsearch-0:7.715-2.fc36.src
perl-WWW-GoodData-0:1.11-23.fc36.src
perl-WWW-Salesforce-0:0.303-14.fc36.src
perl-WebService-Dropbox-0:2.09-2.fc36.src
perl-XML-Stream-0:1.24-21.fc36.src
perl-rdapper-0:0.08-17.fc36.src
public-inbox-0:1.7.0-3.fc36.src
sendemail-0:1.56-10.fc36.src
smbldap-tools-0:0.9.11-21.fc36.src
spamassassin-0:3.4.6-5.fc36.src
sympa-0:6.2.68-1.fc36.src
thrift-0:0.14.0-6.fc36.src
websec-0:1.9.0-32.fc36.src

We could check them whether they required patching for new OpenSSL 3. That could tell us whether the new stack is compatible or not.

Which way do you want to continue? Any other opinions?

Comment 1 Petr Pisar 2022-03-02 14:14:33 UTC
For scientific reasons, I would like to try adding a new stream. It would give us experience how to transit from one stream to another with respect to reverse modular dependencies.

Comment 2 Petr Pisar 2022-03-02 15:34:06 UTC
I'm going to create a new stream 2.074 <https://pagure.io/releng/fedora-scm-requests/issue/42664> based on f36 packages.
Once the stream is done, I will migrate reverse dependencies to the new stream and then ask relengs to drop the old stream from f36. But I worry it's too late <https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html>.

Comment 3 Fedora Update System 2022-03-03 14:48:41 UTC
FEDORA-MODULAR-2022-80d3b17dfb has been submitted as an update to Fedora 36 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-80d3b17dfb

Comment 4 Fedora Update System 2022-03-03 14:49:12 UTC
FEDORA-MODULAR-2022-bb4359f324 has been submitted as an update to Fedora 35 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-bb4359f324

Comment 5 Fedora Update System 2022-03-03 14:49:39 UTC
FEDORA-MODULAR-2022-b02c23ffd8 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-b02c23ffd8

Comment 6 Fedora Update System 2022-03-03 23:14:23 UTC
FEDORA-MODULAR-2022-80d3b17dfb has been pushed to the Fedora 36 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-80d3b17dfb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-03-04 16:44:24 UTC
FEDORA-MODULAR-2022-b02c23ffd8 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-b02c23ffd8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-03-04 16:45:31 UTC
FEDORA-MODULAR-2022-bb4359f324 has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-bb4359f324

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-03-07 10:12:00 UTC
FEDORA-MODULAR-2022-1c09c088ab has been submitted as an update to Fedora 36 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-1c09c088ab

Comment 10 Fedora Update System 2022-03-07 15:11:03 UTC
FEDORA-MODULAR-2022-1c09c088ab has been pushed to the Fedora 36 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-1c09c088ab

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-03-14 23:46:34 UTC
FEDORA-MODULAR-2022-bb4359f324 has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-03-15 00:08:28 UTC
FEDORA-MODULAR-2022-b02c23ffd8 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-03-25 22:08:01 UTC
FEDORA-MODULAR-2022-80d3b17dfb has been pushed to the Fedora 36 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-03-25 22:08:23 UTC
FEDORA-MODULAR-2022-1c09c088ab has been pushed to the Fedora 36 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.